<template>
  <div class="border">
      <div class="card-image img">
          <figure class="image is-4by3">
              <nuxt-link
                :to="localePath({ name: 'products-slug', params: { slug: product.slug } })"
              >
                  <!-- <img :src="apiStorage + product.image" alt=""> -->
              </nuxt-link>
          </figure>
      </div>
      <div class="card-content">
          <div class="media">
              <div class="media-content">
                  <nuxt-link :to="localePath({ name: 'products-slug', params: { slug: product.slug } })"
                  class="title is-5">{{ product.name }}</nuxt-link><br>
                  <nuxt-link :to="localePath({ name: 'products-slug', params: { slug: product.slug } })"
                  class="subtitle is-6">{{ product.details }}</nuxt-link>
              </div>
          </div>
          <div class="content">
              <span class="tag is-rounded is-medium is-info">{{ product.price }}</span>
          </div>
      </div>
  </div>
</template>
<style scoped>
    .img {
        padding-top: 10px;
    }
</style>
<script>
export default {
    data() {
        return {

        }
    },

    props: {
        product: {
            required: true,
            type: Object
        }
    },
}
</script>
